summaryrefslogtreecommitdiff
path: root/tests/chgrp/deref
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chgrp/deref')
-rwxr-xr-xtests/chgrp/deref18
1 files changed, 9 insertions, 9 deletions
diff --git a/tests/chgrp/deref b/tests/chgrp/deref
index 18946b1fa..4c186ee82 100755
--- a/tests/chgrp/deref
+++ b/tests/chgrp/deref
@@ -28,7 +28,7 @@ touch f
ln -s f symlink
chgrp -h $g2 symlink 2> /dev/null
-set _ `ls -ln symlink`
+set _ $(ls -ln symlink)
g=$5
test "$g" = $g2 ||
skip_ "your system doesn't support changing the owner or group" \
@@ -36,25 +36,25 @@ test "$g" = $g2 ||
chgrp $g1 f
-set _ `ls -ln f`; g=$5; test "$g" = $g1 || fail=1
+set _ $(ls -ln f); g=$5; test "$g" = $g1 || fail=1
chgrp -h $g2 symlink || fail=1
-set _ `ls -ln f`; g=$5; test "$g" = $g1 || fail=1
-set _ `ls -ln symlink`; g=$5; test "$g" = $g2 || fail=1
+set _ $(ls -ln f); g=$5; test "$g" = $g1 || fail=1
+set _ $(ls -ln symlink); g=$5; test "$g" = $g2 || fail=1
# This should not change the group of f.
chgrp -h $g2 symlink || fail=1
-set _ `ls -ln f`; g=$5; test "$g" = $g1 || fail=1
-set _ `ls -ln symlink`; g=$5; test "$g" = $g2 || fail=1
+set _ $(ls -ln f); g=$5; test "$g" = $g1 || fail=1
+set _ $(ls -ln symlink); g=$5; test "$g" = $g2 || fail=1
chgrp $g2 f
-set _ `ls -ln f`; g=$5; test "$g" = $g2 || fail=1
+set _ $(ls -ln f); g=$5; test "$g" = $g2 || fail=1
# This *should* change the group of f.
# Though note that the diagnostic you'd get with -c is misleading in that
# it says the 'group of 'symlink'' has been changed.
chgrp --dereference $g1 symlink
-set _ `ls -ln f`; g=$5; test "$g" = $g1 || fail=1
-set _ `ls -ln symlink`; g=$5; test "$g" = $g2 || fail=1
+set _ $(ls -ln f); g=$5; test "$g" = $g1 || fail=1
+set _ $(ls -ln symlink); g=$5; test "$g" = $g2 || fail=1
Exit $fail